Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.db
Class JbpmSchema

    java.lang.Object
      org.jbpm.db.JbpmSchema

All Implemented Interfaces:
  java.io.Serializable

    public class JbpmSchema

extends java.lang.Object
implements java.io.Serializable

utilities for the jBPM database schema.

See Also:
  Serialized Form

Constructor Summary
`JbpmSchema(org.hibernate.cfg.Configuration configuration)`

Method Summary
`void` | `cleanSchema()`
`void` | `createSchema()`
`void` | `dropSchema()`
`void` | `execute(java.lang.String[] sqls)`
`java.lang.String[]` | `getCleanSql()`
`java.lang.String[]` | `getCreateSql()`
`java.lang.String[]` | `getDropSql()`
`java.util.List` | `getJbpmTables()`
`java.util.Properties` | `getProperties()`
`boolean` | `hasJbpmTables()`
`static void` | `main(java.lang.String[] args)`
`void` | `saveSqlScripts(java.lang.String dir, java.lang.String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JbpmSchema

    public JbpmSchema(org.hibernate.cfg.Configuration configuration)

Method Detail

### getCreateSql

    public java.lang.String[] getCreateSql()

### getDropSql

    public java.lang.String[] getDropSql()

### getCleanSql

    public java.lang.String[] getCleanSql()

### hasJbpmTables

    public boolean hasJbpmTables()

### getJbpmTables

    public java.util.List getJbpmTables()

### dropSchema

    public void dropSchema()

### createSchema

    public void createSchema()

### cleanSchema

    public void cleanSchema()

### saveSqlScripts

    public void saveSqlScripts(java.lang.String dir,
                               java.lang.String prefix)

### main

    public static void main(java.lang.String[] args)

### execute

    public void execute(java.lang.String[] sqls)

### getProperties

    public java.util.Properties getProperties()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD